package versao3.persistencia.impl.jds;

import versao3.persistencia.ClienteDAO;
import versao3.persistencia.DAOFactory;
import versao3.persistencia.PedidoDAO;

/**
 * Fabrica concreta de DAOs para JDataStore
 *
 * @see versao3.persistencia.DAOFactory
 */
public final class JDSDAOFactoryImpl extends DAOFactory {

  public ClienteDAO createClienteDAO() {
    return JDSClienteDAOImpl.getInstance();
  }

  public PedidoDAO createPedidoDAO(){
    return JDSPedidoDAOImpl.getInstance();
  }

  /** @link dependency 
   * @label cria*/
  /*# JDSClienteDAOImpl lnkJDSClienteDAOImpl; */

  /** @link dependency 
   * @label cria*/
  /*# JDSPedidoDAOImpl lnkJDSPedidoDAOImpl; */
}
